* User must change next line to point to the directory
  where the GLUMIP program is saved;
%LET PROGPATH = C:\GLUMIP\IML;

PROC IML WORKSIZE=1000 SYMSIZE=300;
  RESET FUZZ FW=5;
  %INCLUDE "&PROGPATH.\GLUMIP20.IML" / NOSOURCE2;
  
  TESTLIST = {1 4 0};
  ESSENCEX = I(2);
  ALPHAT   = .05;
  POWERT   = .90;
  C        = {-1 1};
  BETA_PLN = {0 1}`;
  SIGLIST  = {0.5625 1 1.5625};
  N1LIST   = {12 22 34};
  GAMLISTB = {1.78 1 0.64};
  NPMINLIST= {24 44 68};
  RULE     = 0;
  BETA_ALT = {0 1}`;
  DO I=1 TO NCOL(SIGLIST);
    SIGMA0    = SIGLIST[,I];
    N1        = N1LIST[,I];
    GAMLIST   = GAMLISTB[,I];
    NPLUSMIN  = NPMINLIST[,I];
    DO J=1 TO NCOL(TESTLIST);
      TEST = TESTLIST[,J];
      RUN GLUMIP;
      OUT=OUT//_IPCALCS;
    END;
  END;
  PRINT OUT[COLNAME=_IPNAMES];
  
QUIT;
