* User must change next line to point to the directory
  where the GLUMIP program is saved;
%LET PROGPATH = C:\GLUMIP\IML;

PROC IML WORKSIZE=1000 SYMSIZE=300;
  RESET FUZZ FW=5;
  %INCLUDE "&PROGPATH.\GLUMIP20.IML" / NOSOURCE2;
  
  ESSENCEX = I(2);
  ALPHAT   = .05;
  POWERT   = .90;
  C        = {-1 1};
  BETA_PLN = {0 1}`;
  SIGLIST  = {0.3 0.5 1.0 2.0 4.0};
  RULE     = 0;
  TEST     = 0;
  N1LISTB  = { 4  6 10 20,
               4  6 10 20,
               6 10 20 40,
               6 10 20 40,
              10 20 40 80};
  GAMLIST  = {1};
  BETA_ALT = {0 0}`;
  DO I=1 TO NCOL(SIGLIST);
    SIGMA0    = SIGLIST[,I];
    N1LIST    = N1LISTB[I,];
    DO J=1 TO NCOL(N1LIST);
      N1       = N1LIST[,J];
      NPLUSMIN = N1;
      RUN GLUMIP;
      OUT=OUT//_IPCALCS;
    END;
  END;
  PRINT OUT[COLNAME=_IPNAMES];
  
QUIT;
