* User must change next line to point to the directory
  where the GLUMIP program is saved;
%LET PROGPATH = C:\GLUMIP\IML;

PROC IML WORKSIZE=1000 SYMSIZE=300;
  RESET FUZZ FW=6;
  %INCLUDE "&PROGPATH.\GLUMIP20.IML" / NOSOURCE2;  
  ESSENCEX = I(3);
  ALPHAT   = .05;
  POWERT   = .90;
  C        = {1 -1  0,
              0  1 -1};
  BETA_PLN = {0 0.5 1}`;
  N1       = {39}; 
  NPLUSMIN=39; 
  RULELIST={0 1};
  SIG1LIST={0.5 1 1.5};  
  FREE N2CALCOUT;
  DO J=1 TO NCOL(RULELIST);
    RULE=RULELIST[J];
    DO I=1 TO NCOL(SIG1LIST);
      SIGHAT1=SIG1LIST[I];
      RUN N2CALC;
      N2CALCOUT=N2CALCOUT//_N2CALCS;
	  END;
  END;
PRINT N2CALCOUT[COLNAME=_N2CALCNM];    
QUIT;
